> ## Documentation Index
> Fetch the complete documentation index at: https://developer.elliephant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve current credit balance



## OpenAPI

````yaml GET /api/credit-balance
openapi: 3.0.0
info:
  title: Elliephant API
  version: 1.0.0
  description: With this API you can retrieve products, place orders, and so much more.
servers:
  - url: https://api.elliephant.com
  - url: https://api-sandbox.elliephant.com
security:
  - ClientIdAuth: []
    ApiKeyAuth: []
    ApiPasswordAuth: []
paths:
  /api/credit-balance:
    get:
      summary: Retrieve current credit balance
      operationId: getBalance
      parameters:
        - name: currency
          in: query
          description: >-
            The currency you want the return in. Sent in [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217) format. eg Australian
            Dollar is AUD.
          required: false
          schema:
            type: string
            default: AUD
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  credit_balance:
                    type: string
                    description: The base number value of credit remaining
                  currency:
                    type: string
                    description: >-
                      The currency the total is returned in. Sent in [ISO
                      4217](https://en.wikipedia.org/wiki/ISO_4217) format. eg
                      Australian Dollar is AUD
                  credit_balance_formatted:
                    type: string
                    description: Your credit balance formated
              example:
                credit_balance: 99064.44
                currency: AUD
                credit_balance_formatted: A$99,064.44
components:
  securitySchemes:
    ClientIdAuth:
      type: apiKey
      in: header
      name: CLIENT-ID
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    ApiPasswordAuth:
      type: apiKey
      in: header
      name: API-PASSWORD

````